> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendpadi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get card

> Retrieve a virtual card by id. Scope: `virtual-cards:read`.



## OpenAPI

````yaml GET /api/v1/merchant/virtual-cards/{id}
openapi: 3.1.0
info:
  title: SendPadi Merchant API
  version: 1.0.0
  description: >-
    Merchant REST API. Authenticate with HMAC headers (`X-Api-Key`,
    `X-Timestamp`, `X-Signature`). Generate playground headers with [Sign
    requests (playground)](/guides/sign-requests).
servers:
  - url: https://api.sendpadi.com
    description: Production (test + live keys)
security: []
paths:
  /api/v1/merchant/virtual-cards/{id}:
    get:
      tags:
        - virtual-cards
      summary: Get card
      description: Retrieve a virtual card by id. **Scope:** `virtual-cards:read`.
      operationId: api-reference_virtual-cards_get-card
      parameters:
        - name: X-Timestamp
          in: header
          required: true
          description: Unix time in seconds
          schema:
            type: string
        - name: X-Signature
          in: header
          required: true
          description: HMAC-SHA256 signature
          schema:
            type: string
        - name: id
          in: path
          required: true
          description: id path parameter
          schema:
            type: string
          example: tr_001
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                success: true
                message: OK
                data:
                  card:
                    id: mock-bitnob-1789820551052
                    status: pending
                    currency: USD
                    cardType: dollar
              examples:
                success:
                  summary: Success
                  value:
                    success: true
                    message: OK
                    data:
                      card:
                        id: mock-bitnob-1789820551052
                        status: pending
                        currency: USD
                        cardType: dollar
        '404':
          description: Card not found
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              examples:
                card_not_found:
                  summary: Card not found
                  value:
                    success: false
                    message: Virtual card not found
                    error: MERCHANT_VC_NOT_FOUND
              example:
                success: false
                message: Virtual card not found
                error: MERCHANT_VC_NOT_FOUND
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key id (sp_test_… / sp_live_…)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.